Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

libgsf-tools-1.14.23-2.1.2 RPM for x86_64

From OpenSuSE 12.2 for x86_64

Name: libgsf-tools Distribution: openSUSE 12.2
Version: 1.14.23 Vendor: openSUSE
Release: 2.1.2 Build date: Mon Jul 16 17:38:59 2012
Group: Productivity/Office/Other Build host: build12
Size: 246393 Source RPM: libgsf-1.14.23-2.1.2.src.rpm
Packager: http://bugs.opensuse.org
Url: http://www.gnome.org
Summary: Extensible I/O abstraction library for dealing with structured file formats -- Tools
The libgsf library is an extensible I/O abstraction library for dealing
with structured file formats.

Provides

Requires

License

GPL-2.0+ ; LGPL-2.1+

Changelog

* Wed Apr 25 2012 vuntz@opensuse.org
  - Stop building python bindings, as we now have introspection
    support:
    + Remove python-devel, python-gobject2-devel, python-gtk-devel
      BuildRequires.
    + Add python-gsf Obsoletes to libgsf-1-114 subpackage, to smooth
      upgrades.
    + Do not pass --with-python to configure.
  - Remove xz BuildRequires now that it comes for free in the build
    system.
* Fri Apr 20 2012 dimstar@opensuse.org
  - Update to version 1.14.23:
    + Fix read/write of GSF_DOCPROP_VECTOR_TYPE meta data
      [Part of bgo#672716].
    + Add gobject introspection support. [bgo#610340]
    + OpenBSD portability fix.
    + Make introspection work when libgsf is not installed
      [bgo#671698]
    + Fix time stamp drift problem. [Part of bgo#671860]
    + New GsfODFOut class.
  - Pass --with-python to configure. This was implicit before.
  - Add pkgconfig(gobject-introspection-1.0) BuildRequires: Add new
    gobject-introespection support.
  - Split out typelib in typelib-1_0-Gsf-1 subpackage and require
    the new subpackage from the -devel package.
* Wed Dec 21 2011 vuntz@opensuse.org
  - Remove gconf2-devel and libbonobo-devel BuildRequires: those were
    only needed for the gnome-vfs/bonobo support, which got removed
    in version 1.14.22.
  - Move thumbnailer out in a gsf-office-thumbnailer subpackage, so
    we can install it by default.
  - Rename main subpackage to libgsf-tools, as it only contains tools
    that are not of high interest to most users.
  - Create lang subpackage.
  - Add libgsf Provides to libgsf-1-114 to make lang subpackage
    installable.
  - Add lang subpackage Recommends to libgsf-1-114.
  - Rewrite summaries and descriptions, with more accurate text.
  - Change group of all packages to be more accurate, instead of
    Development/Libraries/GNOME:
    + use System/Libraries for libgsf-1-114
    + use Productivity/Office/Other for tools and
      gsf-office-thumbnailer subpackages
    + keep Development/Libraries/GNOME for devel subpackage
    + use Development/Libraries/Python for python-gsf
* Fri Dec 16 2011 dimstar@opensuse.org
  - Update to version 1.14.22:
    + Fix thumbnailer manual install problem.
    + Fix error messages on win32.
    + Fix resource limiting in thumbnailer.
    + Ensure GsfOutput::name and GsfInput::name notifications.
    + Cleanup old code.
    + Drop support for gnome-vfs and bonobo.
    + Fix ole2 entry sorting. [bgo#665712]
    + New installation method for thumbnailer. [bgo#651187]
  - Drop gnome subpackage:
    - As gnome-vfs and bonobo support was dropped, there are no more
      files in this package.
    - Add Obsoletes for libgsf-gnome < 1.14.22 to libgsf-1-114, to
      ease upgrades.
    - Remove libgsf-gnome Requires from devel subpackage.
    - Remove gconf schema handling.
  - Add xz BuildRequires because we can't build a package for a
    xz-compressed tarball without explicitly specifying that... See
    bnc#697467 for more details.
  - Change glib2-devel and libxml2-devel BuildRequires to
    pkgconfig(glib-2.0) and pkgconfig(libxml-2.0).
  - Clean spec-file using spec-cleaner.
* Sat May 21 2011 dimstar@opensuse.org
  - Update to version 1.14.21:
    + bgo#645775: Implement --without-gconf for explicit dependency
      control.
    + bgo#645778: Fix python compilation problem.
    + bgo#649827: Fix crash on encountering user defined meta data of
      default type.
    + Write/read the correct attribute name for the value-type of
      user defined meta-data.
    + Move ODF version to 1.2.
* Fri Apr 29 2011 dimstar@opensuse.org
  - Update to version 1.14.20:
    + Fix msole reading crash.
    + bgo#644217: Improve loading on metadata.
* Mon Sep 27 2010 vuntz@opensuse.org
  - Remove explicit Requires in devel package: they will
    automatically be added the pkgconfig()-way, or they were wrong
    (bzip2 and zlib-devel).
* Sun Sep 26 2010 vuntz@opensuse.org
  - Update to version 1.14.19:
    + Add some more OOo 3.2 and 3.3 namespaces.
    + Quiet xml parsing two bits.
* Sat Apr 24 2010 coolo@novell.com
  - buildrequire pkg-config to fix provides
* Thu Apr 08 2010 vuntz@opensuse.org
  - Update to version 1.14.18:
    + Fix zip directory record problem. [bgo#614968]
* Sun Feb 14 2010 vuntz@opensuse.org
  - Update to version 1.14.17:
    + Fix xml parser crash.
    + Write meta-data values in name order.
    + Don't call gnome_vfs_init in python binding. [bgo#599973]
* Thu Dec 17 2009 jengelh@medozas.de
  - Add baselibs.conf as a source
* Sat Nov 14 2009 vuntz@opensuse.org
  - Update to version 1.14.16:
    + Add variant of OO_NS_FIELD.
    + Use gdk_pixbug for thumbnailing when available.  [bgo#594359]
    + Fix problem with errors to stdout.  [bgo#592471]
    + Fix gnome-vfs dependency handling.  [bgo#593480]
  - Drop libgsf-fix-configure.patch: fixed upstream.
  - Drop gnome-common BuildRequires, and remove gnome-autogen.sh
    call.
  - Fix rpmlint warnings about self-obsoletion of doc package.
* Sun Aug 30 2009 vuntz@novell.com
  - Use python_sitearch and python_sitelib: both are needed for the
    python files.
* Sat Aug 29 2009 vuntz@novell.com
  - Change libgnome-devel BuildRequires to libbonobo-devel.
  - Add python-gobject2-devel and python-gtk-devel BuildRequires.
    This allows us to build the python bindings, so we create a
    python-gsf package.
  - Add libgsf-fix-configure.patch to not uselessly require gnome-vfs
    for the build. Add gnome-common and call gnome-autogen.sh for the
    patch.
  - Fix requires of subpackages to require libgsf1-114, and not
    libgsf.
  - Merge doc package in devel package, and have the devel package
    provide/obsolete it.
* Mon Jun 22 2009 dominique-obs@leuenberger.net
  - Update to version 1.14.15:
    + Bump ODF version to 1.1 and add enum to inform users
    + Fix criticals when parsing bogus OLE properties, bgo#584848
    + Start cleaning up timestamp code.
* Sun May 24 2009 vuntz@novell.com
  - Update to version 1.14.14:
    + Added namespaces used by openoffice 3.0, Lotus Symphony, etc.
    + Fix gsf_xml_out_start_element to allow child elements mixed
      with other content
* Thu May 07 2009 vuntz@novell.com
  - Update to version 1.14.13:
    + Fix gsf_opendoc_metadata_subtree [bgo#581530]
* Mon Apr 27 2009 vuntz@novell.com
  - Update to version 1.14.12:
    + Also read user defined OpenDocument metadata
    + Fix allocation method problem. [bgo#579155]
    + Fix incorrect use of g_enum_register_static which broke
      documentation generation in some environments.
    + Handle small-block files that are not block aligned.
      [bgo#572290]
    + Deprecate gsf_timestamp_parse and replace it with
      gsf_timestamp_from_string.
    + Gtk-Doc fixes.
    + Fix handling of namespace declared default and prefix. (Such as
      in SpreadsheetML-2003)
    + Handle malformed xml better. [bgo#568994]
    + Drop characters that xml 1.0 cannot represent.  [bgo#568919]
    + Fix problem loading zero-sized files.  [bgo#580228]
  - Remove unneeded BuildRequires: gnome-common, gtk-doc.
  - Remove AutoReqProv: it's default now.
  - Use makeinstall.

Files

/usr/bin/gsf
/usr/bin/gsf-vba-dump
/usr/share/doc/packages/libgsf-tools
/usr/share/doc/packages/libgsf-tools/AUTHORS
/usr/share/doc/packages/libgsf-tools/COPYING
/usr/share/doc/packages/libgsf-tools/ChangeLog
/usr/share/doc/packages/libgsf-tools/NEWS
/usr/share/doc/packages/libgsf-tools/README
/usr/share/man/man1/gsf-vba-dump.1.gz
/usr/share/man/man1/gsf.1.gz


Generated by rpm2html 1.8.1

Fabrice Bellet, Thu Apr 10 13:38:45 2014